<?php
// Función que busca en los archivos recursivamente
function searchFiles($dir, $searchString, $extensions)
{
    // Abre el directorio
    $handle = opendir($dir);

    // Recorre todos los archivos y carpetas dentro del directorio
    while (false !== ($file = readdir($handle))) {
        // Si el archivo o carpeta no es "." o ".."
        if ($file != "." && $file != "..") {
            // Si es un directorio, realiza una búsqueda recursiva dentro del directorio
            if (is_dir($dir . "/" . $file)) {
                if (in_array($dir, array('.//img', './/cache', './/mails', './/var'))) {
                    continue;
                }
                searchFiles($dir . "/" . $file, $searchString, $extensions);
            }
            // Si es un archivo, busca en el archivo si contiene la cadena buscada y si tiene la extensión adecuada
            else {
                $fileInfo = pathinfo($file);
                $extension = $fileInfo['extension'];
                if (in_array($extension, $extensions) && $file !== 'fix.php') {
                    $filePath = $dir . "/" . $file;
                    $content = file_get_contents($filePath);
                    if (strpos($content, $searchString) !== false) {
                        echo "Cadena encontrada en el archivo: " . $filePath . "<br>";
                    }
                }
            }
        }
    }
    // Cierra el directorio
    closedir($handle);
}

// Llama a la función de búsqueda
echo 'Archivos con formulario malicioso:<br/>';
searchFiles('./', "id=\"myform\"", array("tpl"));
echo '<br/>Archivos con código malicioso:<br/>';
searchFiles('./', "];if(@$", array("php"));
echo '<br/>Archivos con inclusiones maliciosas:<br/>';
searchFiles('./', "jschecks", array("php"));